Subject: Re: bug#24967: Kashubian input method

From: Wojciech Gac <[email-masked]>
Date: Sat, 19 Nov 2016 14:21:10 +0100

Well, I did consider this for a moment, but the Polish method is called
'polish-slash' and assumes slash as the prefix character. But in the
Kashubian script there are sometimes multiple diacritic variations of the
same Latin letter, e.g. 'é' and 'ë'. Combined with normal Polish 'ę'
(absent in Kashubian) this is beginning to get messy. But perhaps I could
create something called 'polish-prefix' which would serve as a union of
scripts, i.e. combining ordinary Polish diacritics with regional ones. What
do you think?
Wojtek

2016-11-19 13:23 GMT+01:00 Eli Zaretskii <[email-masked]>:

> > From: Wojciech Gac <[email-masked]>
> > Date: Sat, 19 Nov 2016 13:02:42 +0100
> >
> > I've created a Kashubian prefix input method for Emacs. For every
> diacritic character it uses the most intuitive
> > prefix character, e.g. ':e' generates the character 'ë', '`o' - 'ò',
> etc. I've also added the option to explicitly insert
> > those prefix characters by inputting them twice.
>
> Thanks.
>
> Why do we need a separate input method?  Why not extend the Polish
> input method so that it includes the additional characters it lacks
> now which are required to support Kashubian?
>